Retrieve Transaction Data for changing Daily Limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"transaction": {
"to": "0x3270bf32AB647e90eF94A026c70Aa1daaaDA2382",
"value": 0,
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
}
}
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"error": "onchainDailyLimit must be an integer"
}{
"message": "An unexpected error occurred."
}Account Management
Retrieve Transaction Data for changing Daily Limit
deprecated
This endpoint is deprecated and will be removed in a future version.
Please use GET /api/v1/accounts/daily-limit/transaction-data instead.
Returns the transaction data that needs to be signed by the user’s wallet to set a new onchain daily limit. This endpoint is used as part of a three-step process:
- Call this endpoint to get the transaction data
- Sign the transaction data with the user’s wallet
- Submit the signature to the PUT
/api/v1/accounts/onchain-daily-limitendpoint
Note: The onchainDailyLimit must be an integer value between 1 and 8000.
GET
/
api
/
v1
/
accounts
/
onchain-daily-limit
/
transaction-data
Retrieve Transaction Data for changing Daily Limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit/transaction-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"transaction": {
"to": "0x3270bf32AB647e90eF94A026c70Aa1daaaDA2382",
"value": 0,
"data": "0xa8ec43eefe687fc128d1915040376d20ccb1bf40d838ddd82bf9b0ba3da683cc2a2516230000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000069d17119dc5a800000000000000000000000000000000000000000000000000000000000000015180000000000000000000000000000000000000000000000000000000006866fd60"
}
}
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"error": "onchainDailyLimit must be an integer"
}{
"message": "An unexpected error occurred."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The new daily spending limit to set (1-8000, must be an integer).
Pattern:
^[1-9][0-9]*$Response
Successfully retrieved transaction data for signing.
Show child attributes
Show child attributes